## ncsa.hdf.hdf5lib
Class HDF5Constants

    java.lang.Object
      ncsa.hdf.hdf5lib.HDF5Constants

public class HDF5Constants
extends Object

Class HDF5Constants contains the C define constants and enumerated types of HDF5 library, e.g.,

      HDF5Library.H5Pcreate(HDF5Constants.H5P_FILE_ACCESS);

These values are generated automatically by /etc/Makefile

Do not edit this file! See also: ncsa.hdf.hdf5lib.HDF5Library
See also: ncsa.hdf.hdf5lib.HDF5CDataTypes

Field Summary
`static int` `H5_VERS_MAJOR`
`static int` `H5_VERS_MINOR`
`static int` `H5_VERS_RELEASE`
`static int` `H5D_CHUNKED`
`static int` `H5D_COMPACT`
`static int` `H5D_CONTIGUOUS`
`static int` `H5D_LAYOUT_ERROR`
`static int` `H5D_NLAYOUTS`
`static int` `H5E_ALIGNMENT`
`static int` `H5E_ALREADYINIT`
`static int` `H5E_ARGS`
`static int` `H5E_ATOM`
`static int` `H5E_ATTR`
`static int` `H5E_BADATOM`
`static int` `H5E_BADFILE`
`static int` `H5E_BADMESG`
`static int` `H5E_BADRANGE`
`static int` `H5E_BADTYPE`
`static int` `H5E_BADVALUE`
`static int` `H5E_BTREE`
`static int` `H5E_CACHE`
`static int` `H5E_CANTCOPY`
`static int` `H5E_CANTCREATE`
`static int` `H5E_CANTDECODE`
`static int` `H5E_CANTDELETE`
`static int` `H5E_CANTENCODE`
`static int` `H5E_CANTFLUSH`
`static int` `H5E_CANTFREE`
`static int` `H5E_CANTINIT`
`static int` `H5E_CANTINSERT`
`static int` `H5E_CANTLIST`
`static int` `H5E_CANTLOAD`
`static int` `H5E_CANTOPENFILE`
`static int` `H5E_CANTOPENOBJ`
`static int` `H5E_CANTREGISTER`
`static int` `H5E_CANTSPLIT`
`static int` `H5E_CLOSEERROR`
`static int` `H5E_COMPLEN`
`static int` `H5E_CWG`
`static int` `H5E_DATASET`
`static int` `H5E_DATASPACE`
`static int` `H5E_DATATYPE`
`static int` `H5E_EFL`
`static int` `H5E_EXISTS`
`static int` `H5E_FILE`
`static int` `H5E_FILEEXISTS`
`static int` `H5E_FILEOPEN`
`static int` `H5E_FUNC`
`static int` `H5E_HEAP`
`static int` `H5E_INTERNAL`
`static int` `H5E_IO`
`static int` `H5E_LINK`
`static int` `H5E_LINKCOUNT`
`static int` `H5E_MOUNT`
`static int` `H5E_MPI`
`static int` `H5E_NONE_MAJOR`
`static int` `H5E_NONE_MINOR`
`static int` `H5E_NOSPACE`
`static int` `H5E_NOTCACHED`
`static int` `H5E_NOTFOUND`
`static int` `H5E_NOTHDF5`
`static int` `H5E_OHDR`
`static int` `H5E_OVERFLOW`
`static int` `H5E_PLINE`
`static int` `H5E_PLIST`
`static int` `H5E_PROTECT`
`static int` `H5E_RAGGED`
`static int` `H5E_READERROR`
`static int` `H5E_REFERENCE`
`static int` `H5E_RESOURCE`
`static int` `H5E_SEEKERROR`
`static int` `H5E_SLINK`
`static int` `H5E_STORAGE`
`static int` `H5E_SYM`
`static int` `H5E_TRUNCATED`
`static int` `H5E_UNINITIALIZED`
`static int` `H5E_UNSUPPORTED`
`static int` `H5E_VERSION`
`static int` `H5E_WALK_DOWNWARD`
`static int` `H5E_WALK_UPWARD`
`static int` `H5E_WRITEERROR`
`static int` `H5F_ACC_EXCL`
`static int` `H5F_ACC_RDONLY`
`static int` `H5F_ACC_RDWR`
`static int` `H5F_ACC_TRUNC`
`static int` `H5F_LOW_CORE`
`static int` `H5F_LOW_ERROR`
`static int` `H5F_LOW_FAMILY`
`static int` `H5F_LOW_MPIO`
`static int` `H5F_LOW_SEC2`
`static int` `H5F_LOW_SPLIT`
`static int` `H5F_LOW_STDIO`
`static int` `H5F_SCOPE_DOWN`
`static int` `H5F_SCOPE_GLOBAL`
`static int` `H5F_SCOPE_LOCAL`
`static int` `H5F_UNLIMITED`
`static int` `H5G_DATASET`
`static int` `H5G_GROUP`
`static int` `H5G_LINK`
`static int` `H5G_LINK_ERROR`
`static int` `H5G_LINK_HARD`
`static int` `H5G_LINK_SOFT`
`static int` `H5G_TYPE`
`static int` `H5G_UNKNOWN`
`static int` `H5I_ATTR`
`static int` `H5I_BADID`
`static int` `H5I_DATASET`
`static int` `H5I_DATASPACE`
`static int` `H5I_DATATYPE`
`static int` `H5I_FILE`
`static int` `H5I_FILE_CLOSING`
`static int` `H5I_GROUP`
`static int` `H5I_NGROUPS`
`static int` `H5I_RAGGED`
`static int` `H5I_REFERENCE`
`static int` `H5I_TEMPBUF`
`static int` `H5I_TEMPLATE_0`
`static int` `H5I_TEMPLATE_1`
`static int` `H5I_TEMPLATE_2`
`static int` `H5I_TEMPLATE_3`
`static int` `H5I_TEMPLATE_4`
`static int` `H5I_TEMPLATE_5`
`static int` `H5I_TEMPLATE_6`
`static int` `H5I_TEMPLATE_7`
`static int` `H5P_DATASET_CREATE`
`static int` `H5P_DATASET_XFER`
`static int` `H5P_DEFAULT`
`static int` `H5P_FILE_ACCESS`
`static int` `H5P_FILE_CREATE`
`static int` `H5P_MOUNT`
`static int` `H5P_NCLASSES`
`static int` `H5P_NO_CLASS`
`static int` `H5R_BADTYPE`
`static int` `H5R_DATASET_REGION`
`static int` `H5R_INTERNAL`
`static int` `H5R_MAXTYPE`
`static int` `H5R_OBJECT`
`static int` `H5S_ALL`
`static int` `H5S_COMPLEX`
`static int` `H5S_MAX_RANK`
`static int` `H5S_NO_CLASS`
`static int` `H5S_SCALAR`
`static int` `H5S_SELECT_INVALID`
`static int` `H5S_SELECT_NOOP`
`static int` `H5S_SELECT_OR`
`static int` `H5S_SELECT_SET`
`static int` `H5S_SIMPLE`
`static int` `H5S_UNLIMITED`
`static int` `H5T_BITFIELD`
`static int` `H5T_BKG_NO`
`static int` `H5T_BKG_TEMP`
`static int` `H5T_BKG_YES`
`static int` `H5T_COMPOUND`
`static int` `H5T_CONV_CONV`
`static int` `H5T_CONV_FREE`
`static int` `H5T_CONV_INIT`
`static int` `H5T_CSET_ASCII`
`static int` `H5T_CSET_ERROR`
`static int` `H5T_CSET_RESERVED_1`
`static int` `H5T_CSET_RESERVED_10`
`static int` `H5T_CSET_RESERVED_11`
`static int` `H5T_CSET_RESERVED_12`
`static int` `H5T_CSET_RESERVED_13`
`static int` `H5T_CSET_RESERVED_14`
`static int` `H5T_CSET_RESERVED_15`
`static int` `H5T_CSET_RESERVED_2`
`static int` `H5T_CSET_RESERVED_3`
`static int` `H5T_CSET_RESERVED_4`
`static int` `H5T_CSET_RESERVED_5`
`static int` `H5T_CSET_RESERVED_6`
`static int` `H5T_CSET_RESERVED_7`
`static int` `H5T_CSET_RESERVED_8`
`static int` `H5T_CSET_RESERVED_9`
`static int` `H5T_ENUM`
`static int` `H5T_FLOAT`
`static int` `H5T_INTEGER`
`static int` `H5T_NO_CLASS`
`static int` `H5T_NORM_ERROR`
`static int` `H5T_NORM_IMPLIED`
`static int` `H5T_NORM_MSBSET`
`static int` `H5T_NORM_NONE`
`static int` `H5T_NPAD`
`static int` `H5T_NSGN`
`static int` `H5T_OPAQUE`
`static int` `H5T_ORDER_BE`
`static int` `H5T_ORDER_ERROR`
`static int` `H5T_ORDER_LE`
`static int` `H5T_ORDER_NONE`
`static int` `H5T_ORDER_VAX`
`static int` `H5T_PAD_BACKGROUND`
`static int` `H5T_PAD_ERROR`
`static int` `H5T_PAD_ONE`
`static int` `H5T_PAD_ZERO`
`static int` `H5T_PERS_DONTCARE`
`static int` `H5T_PERS_HARD`
`static int` `H5T_PERS_SOFT`
`static int` `H5T_REFERENCE`
`static int` `H5T_SGN_2`
`static int` `H5T_SGN_ERROR`
`static int` `H5T_SGN_NONE`
`static int` `H5T_STR_ERROR`
`static int` `H5T_STR_NULLPAD`
`static int` `H5T_STR_NULLTERM`
`static int` `H5T_STR_RESERVED_10`
`static int` `H5T_STR_RESERVED_11`
`static int` `H5T_STR_RESERVED_12`
`static int` `H5T_STR_RESERVED_13`
`static int` `H5T_STR_RESERVED_14`
`static int` `H5T_STR_RESERVED_15`
`static int` `H5T_STR_RESERVED_3`
`static int` `H5T_STR_RESERVED_4`
`static int` `H5T_STR_RESERVED_5`
`static int` `H5T_STR_RESERVED_6`
`static int` `H5T_STR_RESERVED_7`
`static int` `H5T_STR_RESERVED_8`
`static int` `H5T_STR_RESERVED_9`
`static int` `H5T_STR_SPACEPAD`
`static int` `H5T_STRING`
`static int` `H5T_TIME`
`static int` `H5T_VLEN`
`static int` `H5Z_FILTER_DEFLATE`
`static int` `H5Z_FILTER_ERROR`
`static int` `H5Z_FILTER_NONE`

Constructor Summary
`HDF5Constants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### H5D_CHUNKED

    public static final int H5D_CHUNKED

See Also:
  Constant Field Values

### H5D_COMPACT

    public static final int H5D_COMPACT

See Also:
  Constant Field Values

### H5D_CONTIGUOUS

    public static final int H5D_CONTIGUOUS

See Also:
  Constant Field Values

### H5D_LAYOUT_ERROR

    public static final int H5D_LAYOUT_ERROR

See Also:
  Constant Field Values

### H5D_NLAYOUTS

    public static final int H5D_NLAYOUTS

See Also:
  Constant Field Values

### H5E_ALIGNMENT

    public static final int H5E_ALIGNMENT

See Also:
  Constant Field Values

### H5E_ALREADYINIT

    public static final int H5E_ALREADYINIT

See Also:
  Constant Field Values

### H5E_ARGS

    public static final int H5E_ARGS

See Also:
  Constant Field Values

### H5E_ATOM

    public static final int H5E_ATOM

See Also:
  Constant Field Values

### H5E_ATTR

    public static final int H5E_ATTR

See Also:
  Constant Field Values

### H5E_BADATOM

    public static final int H5E_BADATOM

See Also:
  Constant Field Values

### H5E_BADFILE

    public static final int H5E_BADFILE

See Also:
  Constant Field Values

### H5E_BADMESG

    public static final int H5E_BADMESG

See Also:
  Constant Field Values

### H5E_BADRANGE

    public static final int H5E_BADRANGE

See Also:
  Constant Field Values

### H5E_BADTYPE

    public static final int H5E_BADTYPE

See Also:
  Constant Field Values

### H5E_BADVALUE

    public static final int H5E_BADVALUE

See Also:
  Constant Field Values

### H5E_BTREE

    public static final int H5E_BTREE

See Also:
  Constant Field Values

### H5E_CACHE

    public static final int H5E_CACHE

See Also:
  Constant Field Values

### H5E_CANTCOPY

    public static final int H5E_CANTCOPY

See Also:
  Constant Field Values

### H5E_CANTCREATE

    public static final int H5E_CANTCREATE

See Also:
  Constant Field Values

### H5E_CANTDECODE

    public static final int H5E_CANTDECODE

See Also:
  Constant Field Values

### H5E_CANTDELETE

    public static final int H5E_CANTDELETE

See Also:
  Constant Field Values

### H5E_CANTENCODE

    public static final int H5E_CANTENCODE

See Also:
  Constant Field Values

### H5E_CANTFLUSH

    public static final int H5E_CANTFLUSH

See Also:
  Constant Field Values

### H5E_CANTFREE

    public static final int H5E_CANTFREE

See Also:
  Constant Field Values

### H5E_CANTINIT

    public static final int H5E_CANTINIT

See Also:
  Constant Field Values

### H5E_CANTINSERT

    public static final int H5E_CANTINSERT

See Also:
  Constant Field Values

### H5E_CANTLIST

    public static final int H5E_CANTLIST

See Also:
  Constant Field Values

### H5E_CANTLOAD

    public static final int H5E_CANTLOAD

See Also:
  Constant Field Values

### H5E_CANTOPENFILE

    public static final int H5E_CANTOPENFILE

See Also:
  Constant Field Values

### H5E_CANTOPENOBJ

    public static final int H5E_CANTOPENOBJ

See Also:
  Constant Field Values

### H5E_CANTREGISTER

    public static final int H5E_CANTREGISTER

See Also:
  Constant Field Values

### H5E_CANTSPLIT

    public static final int H5E_CANTSPLIT

See Also:
  Constant Field Values

### H5E_CLOSEERROR

    public static final int H5E_CLOSEERROR

See Also:
  Constant Field Values

### H5E_COMPLEN

    public static final int H5E_COMPLEN

See Also:
  Constant Field Values

### H5E_CWG

    public static final int H5E_CWG

See Also:
  Constant Field Values

### H5E_DATASET

    public static final int H5E_DATASET

See Also:
  Constant Field Values

### H5E_DATASPACE

    public static final int H5E_DATASPACE

See Also:
  Constant Field Values

### H5E_DATATYPE

    public static final int H5E_DATATYPE

See Also:
  Constant Field Values

### H5E_EFL

    public static final int H5E_EFL

See Also:
  Constant Field Values

### H5E_EXISTS

    public static final int H5E_EXISTS

See Also:
  Constant Field Values

### H5E_FILE

    public static final int H5E_FILE

See Also:
  Constant Field Values

### H5E_FILEEXISTS

    public static final int H5E_FILEEXISTS

See Also:
  Constant Field Values

### H5E_FILEOPEN

    public static final int H5E_FILEOPEN

See Also:
  Constant Field Values

### H5E_FUNC

    public static final int H5E_FUNC

See Also:
  Constant Field Values

### H5E_HEAP

    public static final int H5E_HEAP

See Also:
  Constant Field Values

### H5E_INTERNAL

    public static final int H5E_INTERNAL

See Also:
  Constant Field Values

### H5E_IO

    public static final int H5E_IO

See Also:
  Constant Field Values

### H5E_LINK

    public static final int H5E_LINK

See Also:
  Constant Field Values

### H5E_LINKCOUNT

    public static final int H5E_LINKCOUNT

See Also:
  Constant Field Values

### H5E_MOUNT

    public static final int H5E_MOUNT

See Also:
  Constant Field Values

### H5E_MPI

    public static final int H5E_MPI

See Also:
  Constant Field Values

### H5E_NONE_MAJOR

    public static final int H5E_NONE_MAJOR

See Also:
  Constant Field Values

### H5E_NONE_MINOR

    public static final int H5E_NONE_MINOR

See Also:
  Constant Field Values

### H5E_NOSPACE

    public static final int H5E_NOSPACE

See Also:
  Constant Field Values

### H5E_NOTCACHED

    public static final int H5E_NOTCACHED

See Also:
  Constant Field Values

### H5E_NOTFOUND

    public static final int H5E_NOTFOUND

See Also:
  Constant Field Values

### H5E_NOTHDF5

    public static final int H5E_NOTHDF5

See Also:
  Constant Field Values

### H5E_OHDR

    public static final int H5E_OHDR

See Also:
  Constant Field Values

### H5E_OVERFLOW

    public static final int H5E_OVERFLOW

See Also:
  Constant Field Values

### H5E_PLINE

    public static final int H5E_PLINE

See Also:
  Constant Field Values

### H5E_PLIST

    public static final int H5E_PLIST

See Also:
  Constant Field Values

### H5E_PROTECT

    public static final int H5E_PROTECT

See Also:
  Constant Field Values

### H5E_RAGGED

    public static final int H5E_RAGGED

See Also:
  Constant Field Values

### H5E_READERROR

    public static final int H5E_READERROR

See Also:
  Constant Field Values

### H5E_REFERENCE

    public static final int H5E_REFERENCE

See Also:
  Constant Field Values

### H5E_RESOURCE

    public static final int H5E_RESOURCE

See Also:
  Constant Field Values

### H5E_SEEKERROR

    public static final int H5E_SEEKERROR

See Also:
  Constant Field Values

### H5E_SLINK

    public static final int H5E_SLINK

See Also:
  Constant Field Values

### H5E_STORAGE

    public static final int H5E_STORAGE

See Also:
  Constant Field Values

### H5E_SYM

    public static final int H5E_SYM

See Also:
  Constant Field Values

### H5E_TRUNCATED

    public static final int H5E_TRUNCATED

See Also:
  Constant Field Values

### H5E_UNINITIALIZED

    public static final int H5E_UNINITIALIZED

See Also:
  Constant Field Values

### H5E_UNSUPPORTED

    public static final int H5E_UNSUPPORTED

See Also:
  Constant Field Values

### H5E_VERSION

    public static final int H5E_VERSION

See Also:
  Constant Field Values

### H5E_WALK_DOWNWARD

    public static final int H5E_WALK_DOWNWARD

See Also:
  Constant Field Values

### H5E_WALK_UPWARD

    public static final int H5E_WALK_UPWARD

See Also:
  Constant Field Values

### H5E_WRITEERROR

    public static final int H5E_WRITEERROR

See Also:
  Constant Field Values

### H5F_ACC_EXCL

    public static final int H5F_ACC_EXCL

See Also:
  Constant Field Values

### H5F_ACC_RDONLY

    public static final int H5F_ACC_RDONLY

See Also:
  Constant Field Values

### H5F_ACC_RDWR

    public static final int H5F_ACC_RDWR

See Also:
  Constant Field Values

### H5F_ACC_TRUNC

    public static final int H5F_ACC_TRUNC

See Also:
  Constant Field Values

### H5F_LOW_CORE

    public static final int H5F_LOW_CORE

See Also:
  Constant Field Values

### H5F_LOW_ERROR

    public static final int H5F_LOW_ERROR

See Also:
  Constant Field Values

### H5F_LOW_FAMILY

    public static final int H5F_LOW_FAMILY

See Also:
  Constant Field Values

### H5F_LOW_MPIO

    public static final int H5F_LOW_MPIO

See Also:
  Constant Field Values

### H5F_LOW_SEC2

    public static final int H5F_LOW_SEC2

See Also:
  Constant Field Values

### H5F_LOW_SPLIT

    public static final int H5F_LOW_SPLIT

See Also:
  Constant Field Values

### H5F_LOW_STDIO

    public static final int H5F_LOW_STDIO

See Also:
  Constant Field Values

### H5F_SCOPE_DOWN

    public static final int H5F_SCOPE_DOWN

See Also:
  Constant Field Values

### H5F_SCOPE_GLOBAL

    public static final int H5F_SCOPE_GLOBAL

See Also:
  Constant Field Values

### H5F_SCOPE_LOCAL

    public static final int H5F_SCOPE_LOCAL

See Also:
  Constant Field Values

### H5F_UNLIMITED

    public static final int H5F_UNLIMITED

See Also:
  Constant Field Values

### H5G_DATASET

    public static final int H5G_DATASET

See Also:
  Constant Field Values

### H5G_GROUP

    public static final int H5G_GROUP

See Also:
  Constant Field Values

### H5G_LINK

    public static final int H5G_LINK

See Also:
  Constant Field Values

### H5G_LINK_ERROR

    public static final int H5G_LINK_ERROR

See Also:
  Constant Field Values

### H5G_LINK_HARD

    public static final int H5G_LINK_HARD

See Also:
  Constant Field Values

### H5G_LINK_SOFT

    public static final int H5G_LINK_SOFT

See Also:
  Constant Field Values

### H5G_TYPE

    public static final int H5G_TYPE

See Also:
  Constant Field Values

### H5G_UNKNOWN

    public static final int H5G_UNKNOWN

See Also:
  Constant Field Values

### H5I_ATTR

    public static final int H5I_ATTR

See Also:
  Constant Field Values

### H5I_BADID

    public static final int H5I_BADID

See Also:
  Constant Field Values

### H5I_DATASET

    public static final int H5I_DATASET

See Also:
  Constant Field Values

### H5I_DATASPACE

    public static final int H5I_DATASPACE

See Also:
  Constant Field Values

### H5I_DATATYPE

    public static final int H5I_DATATYPE

See Also:
  Constant Field Values

### H5I_FILE

    public static final int H5I_FILE

See Also:
  Constant Field Values

### H5I_FILE_CLOSING

    public static final int H5I_FILE_CLOSING

See Also:
  Constant Field Values

### H5I_GROUP

    public static final int H5I_GROUP

See Also:
  Constant Field Values

### H5I_NGROUPS

    public static final int H5I_NGROUPS

See Also:
  Constant Field Values

### H5I_RAGGED

    public static final int H5I_RAGGED

See Also:
  Constant Field Values

### H5I_REFERENCE

    public static final int H5I_REFERENCE

See Also:
  Constant Field Values

### H5I_TEMPBUF

    public static final int H5I_TEMPBUF

See Also:
  Constant Field Values

### H5I_TEMPLATE_0

    public static final int H5I_TEMPLATE_0

See Also:
  Constant Field Values

### H5I_TEMPLATE_1

    public static final int H5I_TEMPLATE_1

See Also:
  Constant Field Values

### H5I_TEMPLATE_2

    public static final int H5I_TEMPLATE_2

See Also:
  Constant Field Values

### H5I_TEMPLATE_3

    public static final int H5I_TEMPLATE_3

See Also:
  Constant Field Values

### H5I_TEMPLATE_4

    public static final int H5I_TEMPLATE_4

See Also:
  Constant Field Values

### H5I_TEMPLATE_5

    public static final int H5I_TEMPLATE_5

See Also:
  Constant Field Values

### H5I_TEMPLATE_6

    public static final int H5I_TEMPLATE_6

See Also:
  Constant Field Values

### H5I_TEMPLATE_7

    public static final int H5I_TEMPLATE_7

See Also:
  Constant Field Values

### H5P_DATASET_CREATE

    public static final int H5P_DATASET_CREATE

See Also:
  Constant Field Values

### H5P_DATASET_XFER

    public static final int H5P_DATASET_XFER

See Also:
  Constant Field Values

### H5P_DEFAULT

    public static final int H5P_DEFAULT

See Also:
  Constant Field Values

### H5P_FILE_ACCESS

    public static final int H5P_FILE_ACCESS

See Also:
  Constant Field Values

### H5P_FILE_CREATE

    public static final int H5P_FILE_CREATE

See Also:
  Constant Field Values

### H5P_MOUNT

    public static final int H5P_MOUNT

See Also:
  Constant Field Values

### H5P_NCLASSES

    public static final int H5P_NCLASSES

See Also:
  Constant Field Values

### H5P_NO_CLASS

    public static final int H5P_NO_CLASS

See Also:
  Constant Field Values

### H5R_BADTYPE

    public static final int H5R_BADTYPE

See Also:
  Constant Field Values

### H5R_DATASET_REGION

    public static final int H5R_DATASET_REGION

See Also:
  Constant Field Values

### H5R_INTERNAL

    public static final int H5R_INTERNAL

See Also:
  Constant Field Values

### H5R_MAXTYPE

    public static final int H5R_MAXTYPE

See Also:
  Constant Field Values

### H5R_OBJECT

    public static final int H5R_OBJECT

See Also:
  Constant Field Values

### H5S_ALL

    public static final int H5S_ALL

See Also:
  Constant Field Values

### H5S_COMPLEX

    public static final int H5S_COMPLEX

See Also:
  Constant Field Values

### H5S_MAX_RANK

    public static final int H5S_MAX_RANK

See Also:
  Constant Field Values

### H5S_NO_CLASS

    public static final int H5S_NO_CLASS

See Also:
  Constant Field Values

### H5S_SCALAR

    public static final int H5S_SCALAR

See Also:
  Constant Field Values

### H5S_SELECT_INVALID

    public static final int H5S_SELECT_INVALID

See Also:
  Constant Field Values

### H5S_SELECT_NOOP

    public static final int H5S_SELECT_NOOP

See Also:
  Constant Field Values

### H5S_SELECT_OR

    public static final int H5S_SELECT_OR

See Also:
  Constant Field Values

### H5S_SELECT_SET

    public static final int H5S_SELECT_SET

See Also:
  Constant Field Values

### H5S_SIMPLE

    public static final int H5S_SIMPLE

See Also:
  Constant Field Values

### H5S_UNLIMITED

    public static final int H5S_UNLIMITED

See Also:
  Constant Field Values

### H5T_BITFIELD

    public static final int H5T_BITFIELD

See Also:
  Constant Field Values

### H5T_BKG_NO

    public static final int H5T_BKG_NO

See Also:
  Constant Field Values

### H5T_BKG_TEMP

    public static final int H5T_BKG_TEMP

See Also:
  Constant Field Values

### H5T_BKG_YES

    public static final int H5T_BKG_YES

See Also:
  Constant Field Values

### H5T_COMPOUND

    public static final int H5T_COMPOUND

See Also:
  Constant Field Values

### H5T_CONV_CONV

    public static final int H5T_CONV_CONV

See Also:
  Constant Field Values

### H5T_CONV_FREE

    public static final int H5T_CONV_FREE

See Also:
  Constant Field Values

### H5T_CONV_INIT

    public static final int H5T_CONV_INIT

See Also:
  Constant Field Values

### H5T_CSET_ASCII

    public static final int H5T_CSET_ASCII

See Also:
  Constant Field Values

### H5T_CSET_ERROR

    public static final int H5T_CSET_ERROR

See Also:
  Constant Field Values

### H5T_CSET_RESERVED_1

    public static final int H5T_CSET_RESERVED_1

See Also:
  Constant Field Values

### H5T_CSET_RESERVED_10

    public static final int H5T_CSET_RESERVED_10

See Also:
  Constant Field Values

### H5T_CSET_RESERVED_11

    public static final int H5T_CSET_RESERVED_11

See Also:
  Constant Field Values

### H5T_CSET_RESERVED_12

    public static final int H5T_CSET_RESERVED_12

See Also:
  Constant Field Values

### H5T_CSET_RESERVED_13

    public static final int H5T_CSET_RESERVED_13

See Also:
  Constant Field Values

### H5T_CSET_RESERVED_14

    public static final int H5T_CSET_RESERVED_14

See Also:
  Constant Field Values

### H5T_CSET_RESERVED_15

    public static final int H5T_CSET_RESERVED_15

See Also:
  Constant Field Values

### H5T_CSET_RESERVED_2

    public static final int H5T_CSET_RESERVED_2

See Also:
  Constant Field Values

### H5T_CSET_RESERVED_3

    public static final int H5T_CSET_RESERVED_3

See Also:
  Constant Field Values

### H5T_CSET_RESERVED_4

    public static final int H5T_CSET_RESERVED_4

See Also:
  Constant Field Values

### H5T_CSET_RESERVED_5

    public static final int H5T_CSET_RESERVED_5

See Also:
  Constant Field Values

### H5T_CSET_RESERVED_6

    public static final int H5T_CSET_RESERVED_6

See Also:
  Constant Field Values

### H5T_CSET_RESERVED_7

    public static final int H5T_CSET_RESERVED_7

See Also:
  Constant Field Values

### H5T_CSET_RESERVED_8

    public static final int H5T_CSET_RESERVED_8

See Also:
  Constant Field Values

### H5T_CSET_RESERVED_9

    public static final int H5T_CSET_RESERVED_9

See Also:
  Constant Field Values

### H5T_ENUM

    public static final int H5T_ENUM

See Also:
  Constant Field Values

### H5T_FLOAT

    public static final int H5T_FLOAT

See Also:
  Constant Field Values

### H5T_INTEGER

    public static final int H5T_INTEGER

See Also:
  Constant Field Values

### H5T_NORM_ERROR

    public static final int H5T_NORM_ERROR

See Also:
  Constant Field Values

### H5T_NORM_IMPLIED

    public static final int H5T_NORM_IMPLIED

See Also:
  Constant Field Values

### H5T_NORM_MSBSET

    public static final int H5T_NORM_MSBSET

See Also:
  Constant Field Values

### H5T_NORM_NONE

    public static final int H5T_NORM_NONE

See Also:
  Constant Field Values

### H5T_NO_CLASS

    public static final int H5T_NO_CLASS

See Also:
  Constant Field Values

### H5T_NPAD

    public static final int H5T_NPAD

See Also:
  Constant Field Values

### H5T_NSGN

    public static final int H5T_NSGN

See Also:
  Constant Field Values

### H5T_OPAQUE

    public static final int H5T_OPAQUE

See Also:
  Constant Field Values

### H5T_ORDER_BE

    public static final int H5T_ORDER_BE

See Also:
  Constant Field Values

### H5T_ORDER_ERROR

    public static final int H5T_ORDER_ERROR

See Also:
  Constant Field Values

### H5T_ORDER_LE

    public static final int H5T_ORDER_LE

See Also:
  Constant Field Values

### H5T_ORDER_NONE

    public static final int H5T_ORDER_NONE

See Also:
  Constant Field Values

### H5T_ORDER_VAX

    public static final int H5T_ORDER_VAX

See Also:
  Constant Field Values

### H5T_PAD_BACKGROUND

    public static final int H5T_PAD_BACKGROUND

See Also:
  Constant Field Values

### H5T_PAD_ERROR

    public static final int H5T_PAD_ERROR

See Also:
  Constant Field Values

### H5T_PAD_ONE

    public static final int H5T_PAD_ONE

See Also:
  Constant Field Values

### H5T_PAD_ZERO

    public static final int H5T_PAD_ZERO

See Also:
  Constant Field Values

### H5T_PERS_DONTCARE

    public static final int H5T_PERS_DONTCARE

See Also:
  Constant Field Values

### H5T_PERS_HARD

    public static final int H5T_PERS_HARD

See Also:
  Constant Field Values

### H5T_PERS_SOFT

    public static final int H5T_PERS_SOFT

See Also:
  Constant Field Values

### H5T_REFERENCE

    public static final int H5T_REFERENCE

See Also:
  Constant Field Values

### H5T_SGN_2

    public static final int H5T_SGN_2

See Also:
  Constant Field Values

### H5T_SGN_ERROR

    public static final int H5T_SGN_ERROR

See Also:
  Constant Field Values

### H5T_SGN_NONE

    public static final int H5T_SGN_NONE

See Also:
  Constant Field Values

### H5T_STRING

    public static final int H5T_STRING

See Also:
  Constant Field Values

### H5T_STR_ERROR

    public static final int H5T_STR_ERROR

See Also:
  Constant Field Values

### H5T_STR_NULLPAD

    public static final int H5T_STR_NULLPAD

See Also:
  Constant Field Values

### H5T_STR_NULLTERM

    public static final int H5T_STR_NULLTERM

See Also:
  Constant Field Values

### H5T_STR_RESERVED_10

    public static final int H5T_STR_RESERVED_10

See Also:
  Constant Field Values

### H5T_STR_RESERVED_11

    public static final int H5T_STR_RESERVED_11

See Also:
  Constant Field Values

### H5T_STR_RESERVED_12

    public static final int H5T_STR_RESERVED_12

See Also:
  Constant Field Values

### H5T_STR_RESERVED_13

    public static final int H5T_STR_RESERVED_13

See Also:
  Constant Field Values

### H5T_STR_RESERVED_14

    public static final int H5T_STR_RESERVED_14

See Also:
  Constant Field Values

### H5T_STR_RESERVED_15

    public static final int H5T_STR_RESERVED_15

See Also:
  Constant Field Values

### H5T_STR_RESERVED_3

    public static final int H5T_STR_RESERVED_3

See Also:
  Constant Field Values

### H5T_STR_RESERVED_4

    public static final int H5T_STR_RESERVED_4

See Also:
  Constant Field Values

### H5T_STR_RESERVED_5

    public static final int H5T_STR_RESERVED_5

See Also:
  Constant Field Values

### H5T_STR_RESERVED_6

    public static final int H5T_STR_RESERVED_6

See Also:
  Constant Field Values

### H5T_STR_RESERVED_7

    public static final int H5T_STR_RESERVED_7

See Also:
  Constant Field Values

### H5T_STR_RESERVED_8

    public static final int H5T_STR_RESERVED_8

See Also:
  Constant Field Values

### H5T_STR_RESERVED_9

    public static final int H5T_STR_RESERVED_9

See Also:
  Constant Field Values

### H5T_STR_SPACEPAD

    public static final int H5T_STR_SPACEPAD

See Also:
  Constant Field Values

### H5T_TIME

    public static final int H5T_TIME

See Also:
  Constant Field Values

### H5T_VLEN

    public static final int H5T_VLEN

See Also:
  Constant Field Values

### H5Z_FILTER_DEFLATE

    public static final int H5Z_FILTER_DEFLATE

See Also:
  Constant Field Values

### H5Z_FILTER_ERROR

    public static final int H5Z_FILTER_ERROR

See Also:
  Constant Field Values

### H5Z_FILTER_NONE

    public static final int H5Z_FILTER_NONE

See Also:
  Constant Field Values

### H5_VERS_MAJOR

    public static final int H5_VERS_MAJOR

See Also:
  Constant Field Values

### H5_VERS_MINOR

    public static final int H5_VERS_MINOR

See Also:
  Constant Field Values

### H5_VERS_RELEASE

    public static final int H5_VERS_RELEASE

See Also:
  Constant Field Values

Constructor Detail

### HDF5Constants

    public HDF5Constants()